Bug 25233 - Staff XSLT material type label "Book" should be "Text"
Summary: Staff XSLT material type label "Book" should be "Text"
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 10562
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-21 20:57 UTC by Lucas Gass
Modified: 2020-05-14 21:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25233: Make OPAC XSLT stylesheets consistent with the ones for the staff client (3.13 KB, patch)
2020-04-21 21:10 UTC, Lucas Gass
Details | Diff | Splinter Review
Make the staff client XSLT stylesheets consistent with the ones for the OPAC (5.00 KB, patch)
2020-04-21 21:34 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25233: Staff XSLT material type label "Book" should be "Text" (4.99 KB, patch)
2020-04-22 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25233: Staff XSLT material type label "Book" should be "Text" (5.05 KB, patch)
2020-04-25 22:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-04-21 20:57:55 UTC
In the OPAC Details if you set the leader06 = 'a' and leader07 = 'c' 'd' or 'm' the display says 'Text'.

At the same time the Staff Details page will show 'Book'. This should be consistent on both and I believe Book is correct.

To Recreate:
1. Have a record with leader06 = 'a' and leader07 = 'c' 'd' or 'm'. 
2. Check the OPAC details and see that is says 'Text'.
Comment 1 Lucas Gass 2020-04-21 21:10:04 UTC
Created attachment 103420 [details] [review]
Bug 25233: Make OPAC XSLT stylesheets consistent with the ones for the staff client

This patch makes the OPAC XSLT stylesheets consistent with the ones for the staff client
TO TEST:
1. Have a record with leader06 = 'a' and leader07 = 'c' 'd' or 'm'.
2. Check the OPAC results and details page. See that the materila type label says "Text"
3. Check the staff client results and details page. See that the materila type label says "Book"
4. Apply patch.
5. See that both staff client and OPAC results/details all now say "Book"
Comment 2 Katrin Fischer 2020-04-21 21:12:18 UTC
It was changed to Text on purpose a while ago IIRC, because the description is not book on the MARC standard, it can be anything textual, not only print.
Comment 3 Katrin Fischer 2020-04-21 21:13:10 UTC
Not only books is what I mean. I remember because we had librraies complaining about the book icon in some combinations.
Comment 4 Lucas Gass 2020-04-21 21:15:12 UTC
Cait,

So to be consistent with between OPAC/staff should be change the wording in the staff client XSLT to 'Text'?
Comment 5 Katrin Fischer 2020-04-21 21:18:49 UTC
> leader06 = 'a' and leader07 = 'c' 'd' or 'm'

a - Language material

Used for non-manuscript language material. Manuscript language material uses code t.Includes microforms and electronic resources that are basically textual in nature, whether they are reproductions from print or originally produced.

c - Collection
d - Subunit
m - Monograph/Item


The interesting part is, that a is also used for microforms and electronic resources, so the book and "book" description is not helpful in these cases.

I think we should change staff to match.
Comment 6 Katrin Fischer 2020-04-21 21:19:26 UTC
Yes, sorry, just typed up the other comment - I had worked that out a while ago when we got the complaints and I was trying to see if our records were correct.
Comment 7 Lucas Gass 2020-04-21 21:34:13 UTC
Created attachment 103424 [details] [review]
Make the staff client XSLT stylesheets consistent with the ones for the OPAC

This patch makes the staff client XSLT stylesheets consistent with the ones for the OPAC, it also makes consitent the use of 'Text' when the leader6 = 't'
TO TEST:
1. Have a record with leader06 = 'a' and leader07 = 'c' 'd' or 'm'.
2. Check the staff client results and details page. See that the material type label says "Book"
3. Check the OPAC client results and details page. See that the materila type label says "Text"
4. Apply patch.
5. See that both staff client and OPAC results/details all now say "Text"
6. Set the leader6 = 't' and make sure that is says 'Text' on both the staff client and OPAC
Comment 8 David Cook 2020-04-22 00:25:34 UTC
(In reply to Katrin Fischer from comment #6)
> Yes, sorry, just typed up the other comment - I had worked that out a while
> ago when we got the complaints and I was trying to see if our records were
> correct.

Yep, I totally agree with you.
Comment 9 Kelly McElligott 2020-04-22 11:46:15 UTC
Hi Katrin,
When I look up the Marc Standard for the appropriate term for this material type, I am finding more examples are directing toward the word Book, not Text.

http://www.loc.gov/marc/bibliographic/bdleader.html
https://www.oclc.org/bibformats/en/fixedfield/type.html

Can you tell me where the marc standard that Koha is following can be found, and then I have a place to direct a library to?  

Overall, I would love to see these consistent in Staff and OPAC. 

Thanks!
Kell
Comment 10 Owen Leonard 2020-04-22 12:11:26 UTC
(In reply to Kelly McElligott from comment #9)

> http://www.loc.gov/marc/bibliographic/bdleader.html

I don't see any mention of "Book" on this page. The language is very generic.

> https://www.oclc.org/bibformats/en/fixedfield/type.html

Isn't the use of "BKS - Books" on this page a decision made by OCLC, not part of the MARC standard?
 
> Can you tell me where the marc standard that Koha is following can be found,
> and then I have a place to direct a library to?  

I think using the term "Text" is a good human-readable compromise. On the other hand, if a library is complaining about it why not use a custom XSL file? (Bug 25216 notwithstanding).
Comment 11 Owen Leonard 2020-04-22 12:33:21 UTC
Created attachment 103469 [details] [review]
Bug 25233: Staff XSLT material type label "Book" should be "Text"

This patch makes the staff client XSLT stylesheets consistent with the
ones for the OPAC, it also makes consitent the use of 'Text' when the leader6 = 't'

TO TEST:
1. Have a record with leader06 = 'a' and leader07 = 'c' 'd' or 'm'.
2. Check the staff client results and details page. See that the
   material type label says "Book"
3. Check the OPAC client results and details page. See that the
   materila type label says "Text"
4. Apply patch.
5. See that both staff client and OPAC results/details all now say
   "Text"
6. Set the leader6 = 't' and make sure that is says 'Text' on both the
   staff client and OPAC

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 12 Katrin Fischer 2020-04-22 22:19:10 UTC
Hi Kelly,

> When I look up the Marc Standard for the appropriate term for this material
> type, I am finding more examples are directing toward the word Book, not
> Text.
> 
> http://www.loc.gov/marc/bibliographic/bdleader.html
> https://www.oclc.org/bibformats/en/fixedfield/type.html

Can you be more specific about the examples?

> Can you tell me where the marc standard that Koha is following can be found,
> and then I have a place to direct a library to?  

I always assumed there is only one standard, with the documents published on the LOC page: http://www.loc.gov/marc/ I know that Germany and other countries are also participating in the development of the standard by participation in the committees (http://www.loc.gov/marc/mac/MAC_members.html).
Comment 13 David Cook 2020-04-23 05:13:51 UTC
(In reply to Kelly McElligott from comment #9)
> Hi Katrin,
> When I look up the Marc Standard for the appropriate term for this material
> type, I am finding more examples are directing toward the word Book, not
> Text.
> 
> http://www.loc.gov/marc/bibliographic/bdleader.html
> https://www.oclc.org/bibformats/en/fixedfield/type.html
> 

Hi Kelly,

I think that you're misinterpreting what you're seeing in those links. 

Library of Congress (http://www.loc.gov/marc/bibliographic/bdleader.html):
" - Language material
Used for non-manuscript language material. Manuscript language material uses code t.

Includes microforms and electronic resources that are basically textual in nature, whether they are reproductions from print or originally produced."

Definitely "Text" rather than "Book.

OCLC (https://www.oclc.org/bibformats/en/fixedfield/type.html):

You can see "Language material" being used for "BKS - Books" and "CNR - Continuing Resources" at the top there. These are OCLC concepts and not MARC standards.

If you go down further, you'll also see this text:
"	
a	
Language material. Non-manuscript language or textual material including all published print language material, original microform publications of language material, microform reproductions of published language material, and published textual electronic resources. In Books format, examples include books, pamphlets, technical reports, etc. In Continuing Resources format, examples include annuals, journals, newspapers, periodicals, proceedings, etc. Use code e or f for cartographic atlases. Use code t for manuscript or unpublished language material. Use code a for online textual material, including digitized textual manuscripts."

So note that "Books" is a format that OCLC applies to more than just Books.

And "Language material" applies to many non-Books with that Continuing Resources format like journals, newspapers, etc. 

Ultimately, there's just really no possible way that "Book" is an accurate label for "Language material".
Comment 14 David Cook 2020-04-23 05:32:34 UTC
For what it's worth, I'm the one who opened the report to change "Book" to "Text" for the OPAC back in 2013: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=10562. I think Owen wrote his patch in 2018 and it got pushed in 2019. 

Oh... but something that we're not considering is the Leader/07 and that's something that is obviated by https://www.oclc.org/bibformats/en/fixedfield/type.html. 

In the OCLC example, they're choosing "Books" with a Leader/07 of a,c,d,m and "Continuing Resources" with a Leader/07 of b, i, s.

If we look at the patch, the XSLT does actually generate a label based on both Leader/06 and Leader/07, Koha is saying "Book/Text" for Leader/07 of c,d,m... "Continuing resource" for Leader/07 of i, s... "Article" for Leader/07 of "a" or "b". 

I don't think we considered the Leader/07 with the Leader/06 when I originally raised the issue in Bugzilla back in 2013...

It's tricky because OCLC's and Koha's use of the Leader/07 with the Leader/06 is still a bit problematic. For instance, a Leader/06 of "a" and Leader/07 of "a" would be classed by OCLC as a Book and by Koha as an Article, but it could actually be a "Book Chapter".

The MARC standard itself is pretty problematic, especially when it comes to fixed field data (ie trying to put too much information into too small a space).

I mean that's why we have fields like 
https://www.loc.gov/marc/bibliographic/bd336.html
https://www.loc.gov/marc/bibliographic/bd337.html
https://www.loc.gov/marc/bibliographic/bd338.html

It seems to me the goals of the cataloguer are at odds with the goals of the user-facing library.

I still think "Text" is probably the best compromise for a label, but I can understand opposition to that. 

For what it's worth, so long as it's consistent across the staff client and OPAC, I don't care too much. Since it's in the XSLT, it is fairly easy to customize.
Comment 15 Katrin Fischer 2020-04-25 22:46:50 UTC
Created attachment 103716 [details] [review]
Bug 25233: Staff XSLT material type label "Book" should be "Text"

This patch makes the staff client XSLT stylesheets consistent with the
ones for the OPAC, it also makes consitent the use of 'Text' when the leader6 = 't'

TO TEST:
1. Have a record with leader06 = 'a' and leader07 = 'c' 'd' or 'm'.
2. Check the staff client results and details page. See that the
   material type label says "Book"
3. Check the OPAC client results and details page. See that the
   materila type label says "Text"
4. Apply patch.
5. See that both staff client and OPAC results/details all now say
   "Text"
6. Set the leader6 = 't' and make sure that is says 'Text' on both the
   staff client and OPAC

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Martin Renvoize 2020-04-27 10:45:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 17 Joy Nelson 2020-05-08 20:58:13 UTC
Backported to 19.11.x for 19.11.06
Comment 18 Lucas Gass 2020-05-14 21:14:54 UTC
backported to 19.05.x for 19.05.11